
TYPO3.Flow - Bug # 39267

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Security
Created: 2012-07-25 Assigned To: Robert Lemke
Updated: 2012-07-30 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: Git 1.2 (master)
Subject: RsaWalletServicePhp saves keys even if not modified
Description

The shutdown() method of the RsaWalletServicePhp saves its keys to disk even if they haven't been modified. This is unnecessary
and may cause some hassles in certain setups.

Associated revisions
Revision 752e4a6d - 2012-07-25 18:15 - Robert Lemke

[BUGFIX] RsaWalletService: Save keys only if modified

This patch adds a check to the shutdown() method of the
RsaWalletServicePhp to make sure that the keys are only
saved to disk if they were actually modified.

Change-Id: I67e7b47d6bd2c7b0ed21e8aac9fccb46750313d4
Resolves: #39267
Releases: 1.1, 1.2

Revision d8ada91c - 2012-07-30 08:18 - Robert Lemke

[BUGFIX] RsaWalletService: Save keys only if modified

This patch adds a check to the shutdown() method of the
RsaWalletServicePhp to make sure that the keys are only
saved to disk if they were actually modified.

Change-Id: I67e7b47d6bd2c7b0ed21e8aac9fccb46750313d4
Resolves: #39267
Releases: 1.1, 1.2

History
#1 - 2012-07-25 17:54 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13046
#2 - 2012-07-25 18:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13046

#3 - 2012-07-30 08:18 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/13340

#4 - 2012-07-30 08:35 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d8ada91c3b28422dc397448287d8ba46fbf078cd.

2015-08-03 2/2

http://review.typo3.org/13046
http://review.typo3.org/13340

